Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Interface SceneController

All Superinterfaces:
  AVList, EventListener, PropertyChangeListener, WWObject

All Known Implementing Classes:
  BasicSceneController

    public interface SceneController

extends WWObject

Method Summary
`FrameController` | `getFrameController()`
`double` | `getFramesPerSecond()`
`double` | `getFrameTime()`
`Model` | `getModel()`
`PickedObjectList` | `getPickedObjectList()`
`double` | `getVerticalExaggeration()`
`View` | `getView()`
`PickedObjectList` | `pick(Point pickPoint)`
`void` | `repaint()`
`void` | `setFrameController(FrameController frameController)`
`void` | `setModel(Model model)`
`void` | `setVerticalExaggeration(double verticalExaggeration)`
`void` | `setView(View view)`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Method Detail

### getFrameController

    FrameController getFrameController()

### getFramesPerSecond

    double getFramesPerSecond()

### getFrameTime

    double getFrameTime()

### getModel

    Model getModel()

### getPickedObjectList

    PickedObjectList getPickedObjectList()

### getVerticalExaggeration

    double getVerticalExaggeration()

### getView

    View getView()

### pick

    PickedObjectList pick(Point pickPoint)

### repaint

    void repaint()

### setFrameController

    void setFrameController(FrameController frameController)

### setModel

    void setModel(Model model)

### setVerticalExaggeration

    void setVerticalExaggeration(double verticalExaggeration)

### setView

    void setView(View view)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD